Bug 1189857 - need a tree view for clones/MS/groups in the resource panel [GUI]
Summary: need a tree view for clones/MS/groups in the resource panel [GUI]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Ondrej Mular
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
: 1240321 (view as bug list)
Depends On:
Blocks: 1148863 1182119 1198640 1219574 1240321
TreeView+ depends on / blocked
 
Reported: 2015-02-05 16:18 UTC by Radek Steiger
Modified: 2019-07-11 09:33 UTC (History)
6 users (show)

Fixed In Version: pcs-0.9.143-10.el7
Doc Type: Bug Fix
Doc Text:
Cause: User tries to manage constraints, attributes and other properties of grouped, cloned or multistated resources in web UI. Consequence: In web UI were displayed only primitive resources. There was no way to set attributes, constraints and other properties separately for parent (group/clone/master-slave) resource and child (primitive) resource. Fix: Resources are displayed in tree structure. It is possible to view and edit all resource elements (groups, clones, master-slaves, primitives) independently. Result: User now can manage constraints, attributes and other properties of groups, clones, multistates and primitive resources independently.
Clone Of:
Environment:
Last Closed: 2015-11-19 09:34:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (362.26 KB, patch)
2015-08-10 12:59 UTC, Tomas Jelinek
no flags Details | Diff
proposed fix 2 (27.54 KB, patch)
2015-08-10 12:59 UTC, Tomas Jelinek
no flags Details | Diff
proposed fix - add resource form (903 bytes, patch)
2015-08-11 15:08 UTC, Tomas Jelinek
no flags Details | Diff
proposed fix 4 (31.45 KB, patch)
2015-09-01 11:47 UTC, Tomas Jelinek
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1498473 0 Configure None One or more resources restart throughout the cluster when a node joins in a RHEL 6 or 7 High Availability cluster with p... 2019-07-11 09:33:26 UTC
Red Hat Knowledge Base (Solution) 1520783 0 Configure None There is nowhere in the pcs web interface for RHEL High Availability clusters with pacemaker to enter meta attributes fo... 2019-07-11 09:33:26 UTC
Red Hat Product Errata RHSA-2015:2290 0 normal SHIPPED_LIVE Moderate: pcs security, bug fix, and enhancement update 2015-11-19 09:43:53 UTC

Description Radek Steiger 2015-02-05 16:18:19 UTC
We need a tree-like view of resources what were grouped, cloned, or multistated to be able to set attributes, constraints and other properties per both parent and child resource elements.

Comment 4 Radek Steiger 2015-08-10 09:31:40 UTC
*** Bug 1240321 has been marked as a duplicate of this bug. ***

Comment 5 Tomas Jelinek 2015-08-10 12:59:05 UTC
Created attachment 1061041 [details]
proposed fix

Comment 6 Tomas Jelinek 2015-08-10 12:59:27 UTC
Created attachment 1061042 [details]
proposed fix 2

Comment 7 Tomas Jelinek 2015-08-10 13:18:07 UTC
Before Fix:
[root@rh71-node1 ~]# rpm -q pcs
pcs-0.9.142-2.el7.x86_64

Resources displayed in a flat structure. When setting an attribute or a constraint to a cloned or grouped resource it is not possible to set it specifically to parent or child resource.



After Fix:
[root@rh71-node1:~]# rpm -q pcs
pcs-0.9.143-1.el7.x86_64

Resources are displayed in a tree view. It is possible to edit settings of a clone, a master/slave resource and a group and settings of its child resources independently.

Comment 9 Tomas Jelinek 2015-08-11 15:08:03 UTC
Created attachment 1061559 [details]
proposed fix - add resource form

Comment 10 Tomas Jelinek 2015-08-14 11:44:11 UTC
Before Fix:
[root@rh71-node1 ~]# rpm -q pcs
pcs-0.9.143-1.el7.x86_64

Using web UI try to create an ocf:pacemaker:Dummy resource. An ocf:heartbeat:Dummy resource is created instead.



After Fix:
[root@rh71-node1:~]# rpm -q pcs
pcs-0.9.143-2.el7.x86_64

Using web UI try to create an ocf:pacemaker:Dummy resource. An ocf:pacemaker:Dummy resource is created.

Comment 13 Tomas Jelinek 2015-09-01 11:47:03 UTC
Created attachment 1068974 [details]
proposed fix 4

Comment 14 Tomas Jelinek 2015-09-01 11:48:35 UTC
Test:

[root@rh71-node1:~]# rpm -q pcs
pcs-0.9.143-5.el7.x86_64

After pcsd has been stopped on one node, cluster details are properly displayed in web UI. It works also when pcsd has been stopped on two out of three nodes.

Node attributes and fence levels are displayed in web UI for both online and offline nodes.

Comment 16 Tomas Jelinek 2015-09-07 09:13:49 UTC
Before Fix:
[root@rh71-node1 ~]# rpm -q pcs
pcs-0.9.143-6.el7.x86_64

Web UI reloads cluster status upon each change of cluster settings done in the UI. This can lead to loading cluster status in parallel which unnecessarily takes cluster and browser resources.

If user changes resource settings using web UI (e.g. meta attributes) and removes the last constraint of the resource while web UI is loading cluster status, the constraint will remain displayed in web UI even though the constraint was successfully removed from the cluster.



After Fix:
[root@rh71-node1:~]# rpm -q pcs
pcs-0.9.143-7.el7.x86_64

If a cluster status reload is triggered in web UI while another request to refresh the cluster status is already in progress, the new request is put into a queue and run only after the previous request is finished.

Resource constraints are removed properly from web UI.

Comment 18 Tomas Jelinek 2015-09-16 13:36:52 UTC
After Fix:
[root@rh71-node1:~]# rpm -q pcs
pcs-0.9.143-9.el7.x86_64

It is possible to create a disabled resource using web UI.

When removing the last resource from a cluster using web UI, the resource settings are no longer displayed.

In the resources page running resources are displayed in blue color, resources with warnings are displayed in orange color, resources with errors are displayed in red color.

Create a new group of resources. Try to add another resource to the group. The group name is available in the group name select.

Create a clone resource. Add an ordering set constraint containing the primitive from the clone and some other resource. An error message is displayed stating the clone shoud be used instead of the primitive. It is possible to force the constraint creation, the constraint is then created on the primitive resource.

Comment 22 Tomas Jelinek 2015-09-22 11:23:30 UTC
After Fix:
[root@rh71-node1:~]# rpm -q pcs
pcs-0.9.143-10.el7.x86_64

Resource details are not displayed in a group, clone and master/slave page when switching to it quickly from a primitive resource page.

Multi-state resources are displayed as running when a status of a cluster running older version of pcs is displayed.

Comment 26 errata-xmlrpc 2015-11-19 09:34:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2290.html


Note You need to log in before you can comment on or make changes to this bug.